AbstractMVCHandler (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractMVCHandler

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractMVCHandler

All Implemented Interfaces:
  MVCHandler

    public abstract class AbstractMVCHandler
    extends Object

Base implementation of the MVCHandler interface.

Authors:
  Andres Almiray

Since:
  0.9.3

Constructor Summary
`AbstractMVCHandler()`

Method Summary
`MVCGroup` | `buildMVCGroup(String mvcType)`
`MVCGroup` | `buildMVCGroup(String mvcType, String mvcName)`
`MVCGroup` | `buildMVCGroup(Map args, String mvcType)`
`MVCGroup` | `buildMVCGroup(String mvcType, Map args)`
`MVCGroup` | `buildMVCGroup(Map args, String mvcType, String mvcName)`
`MVCGroup` | `buildMVCGroup(String mvcType, String mvcName, Map args)`
`List` | `createMVCGroup(String mvcType)`
`List` | `createMVCGroup(Map args, String mvcType)`
`List` | `createMVCGroup(String mvcType, Map args)`
`List` | `createMVCGroup(String mvcType, String mvcName)`
`List` | `createMVCGroup(Map args, String mvcType, String mvcName)`
`List` | `createMVCGroup(String mvcType, String mvcName, Map args)`
`void` | `destroyMVCGroup(String mvcName)`
`protected GriffonApplication` | `getApp()`
`void` | `withMVCGroup(String mvcType, Closure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, Closure handler)`
`void` | `withMVCGroup(String mvcType, Map args, Closure handler)`
`void` | `withMVCGroup(Map args, String mvcType, Closure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, Map args, Closure handler)`
`void` | `withMVCGroup(Map args, String mvcType, String mvcName, Closure handler)`
`void` | `withMVCGroup(String mvcType, MVCClosure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, MVCClosure handler)`
`void` | `withMVCGroup(String mvcType, Map args, MVCClosure handler)`
`void` | `withMVCGroup(Map args, String mvcType, MVCClosure handler)`
`void` | `withMVCGroup(String mvcType, String mvcName, Map args, MVCClosure handler)`
`void` | `withMVCGroup(Map args, String mvcType, String mvcName, MVCClosure handler)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AbstractMVCHandler

    AbstractMVCHandler()

Method Detail

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType, String mvcName)

### buildMVCGroup

    public MVCGroup buildMVCGroup(Map args, String mvcType)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType, Map args)

### buildMVCGroup

    public MVCGroup buildMVCGroup(Map args, String mvcType, String mvcName)

### buildMVCGroup

    public MVCGroup buildMVCGroup(String mvcType, String mvcName, Map args)

### createMVCGroup

    public List createMVCGroup(String mvcType)

### createMVCGroup

    public List createMVCGroup(Map args, String mvcType)

### createMVCGroup

    public List createMVCGroup(String mvcType, Map args)

### createMVCGroup

    public List createMVCGroup(String mvcType, String mvcName)

### createMVCGroup

    public List createMVCGroup(Map args, String mvcType, String mvcName)

### createMVCGroup

    public List createMVCGroup(String mvcType, String mvcName, Map args)

### destroyMVCGroup

    public void destroyMVCGroup(String mvcName)

### getApp

    protected GriffonApplication getApp()

### withMVCGroup

    public void withMVCGroup(String mvcType, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, Map args, Closure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, Map args, Closure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, String mvcName, Closure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, Map args, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(String mvcType, String mvcName, Map args, MVCClosure handler)

### withMVCGroup

    public void withMVCGroup(Map args, String mvcType, String mvcName, MVCClosure handler)

Groovy Documentation